use std::str::FromStr;
use rand::{Rng, thread_rng};

use argon2_kdf::Hash;

pub mod from_token;
pub mod from_password;
pub use from_token::from_token;
pub use from_password::from_password;


//
// Общие функции
//
fn verify_hash(hash_str: &str, password: &str) -> bool {
    Hash::from_str(hash_str).unwrap().verify(password.as_bytes())
}

fn generate_access_token() -> String {
    let mut rng = thread_rng();
    let characters: Vec<char> = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789".chars().collect();
    (0..32).map(|_| characters[rng.gen_range(0..characters.len())]).collect()
}
