use std::path::{Path as PathStd, PathBuf};

use axum::{
    extract::Path,
    response::{IntoResponse, Response},
    http::StatusCode
};
use tokio::fs;

pub async fn serve_texture(directory: &str, Path(filename): Path<PathBuf>) -> Result<impl IntoResponse, (StatusCode, String)> {
    let contents = fs::read(&PathStd::new(directory).join(&filename)).await.map_err(|_| (StatusCode::NOT_FOUND, "File not found".into()))?;
    
    let response = Response::builder()
        .header("Content-Type", "image/png")
        .body(axum::body::Body::from(contents))
        .map_err(|_| (StatusCode::INTERNAL_SERVER_ERROR, "Failed to create response".into()))?;
    
    Ok(response)
}
